//CFTTVulkanSetup - [2020-04-13 11:57:46]
#ifndef _CFTTVULKANSETUP_H_
#define _CFTTVULKANSETUP_H_

#include "common.h"
#include "CFTTGraphicsBuffer.h"
#include "vulkan/vulkan_core.h"

/*
00209AFC CFTTVulkanSetup::BeginScene(CFTTClearSettings const&)
00209A00 CFTTVulkanSetup::DestroySurfaceAndSwapchain()
00209E8C CFTTVulkanSetup::EndScene()
00207B50 CFTTVulkanSetup::InitializeEarly()
00208488 CFTTVulkanSetup::InitializeLate(ANativeWindow *)
002098E4 CFTTVulkanSetup::RecreateSurfaceAndSwapchain(ANativeWindow *)
0020807C CFTTVulkanSetup::Shutdown()
0020A094 CFTTVulkanSetup::SubmitCommandBuffer(VkSubmitInfo,bool,bool,bool)
0020A188 CFTTVulkanSetup::WaitOnFences(bool)
*/

class CFTTVulkanSetup {
public:
  void BeginScene(CFTTClearSettings const &);                //00209AFC
  void DestroySurfaceAndSwapchain();                         //00209A00
  void EndScene();                                           //00209E8C
  static int InitializeEarly();                              //00207B50
  void InitializeLate(ANativeWindow *);                      //00208488
  void RecreateSurfaceAndSwapchain(ANativeWindow *);         //002098E4
  void Shutdown();                                           //0020807C
  void SubmitCommandBuffer(VkSubmitInfo, bool, bool, bool);  //0020A094
  void WaitOnFences(bool);                                   //0020A188
};

#endif  //_CFTTVULKANSETUP_H_